%global commit0 4a062cf4180d99371198951e4ea5b4550efd58a3
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})


Name:       libnsl12-compat
Version:    1.3.0
Release:    1.0.riscv64%{?dist}
Summary:    Public client interface library for NIS(YP) and NIS+

License:    BSD and LGPLv2+
URL:        https://github.com/thkukuk/libnsl


Source0:    https://github.com/thkukuk/libnsl/archive/v%{version}.tar.gz

Patch0: libnsl2-1.0.5-include_stdint.patch

BuildRequires: autoconf, automake, gettext-devel, libtool, libtirpc-devel
BuildRequires: make
BuildRequires: gcc

%description
This package contains the libnsl library. This library contains
the public client interface for NIS(YP) and NIS+.
This code was formerly part of glibc, but is now standalone to
be able to link against TI-RPC for IPv6 support.


%prep
%setup -q -n libnsl-%{version}

%patch0 -p1 -b .include_stdint

%build
autoreconf -fiv

%configure\
    --libdir=%{_libdir}\
    --includedir=%{_includedir}

%make_build


%install

%make_install

rm %{buildroot}/%{_libdir}/libnsl.a
rm %{buildroot}/%{_libdir}/libnsl.la

rm -rfv %{_libdir}/libnsl.so %{_includedir}/*  %{_libdir}/pkgconfig/libnsl.pc

%files
%{_libdir}/libnsl.so.*

%license COPYING

%changelog
* Thu Jul 22 2021 David Abdurachmanov <davidlt@rivosinc.com> - 1.3.0-1.0.riscv64
- Initial version. Only for Fedora/RISCV for bootstrap.
